Get the videos under a hashtag by name, numeric hashtag ID, or hashtag URL. Returns the same fields as User Videos for each video, about 20 per page.
curl "https://apidirect.io/v1/tiktok/hashtag/videos?name=cooking&pages=2" -H "X-API-Key: YOUR_API_KEY"
{
"videos": [
{
"video_id": "7692609313717636383",
"title": "#recipes #EasyRecipe #cooking #DinnerIdeas",
"url": "https://www.tiktok.com/@cooking_recipescr/video/7692609313717636383",
"date": "2026-10-04 00:49:32",
"date_timestamp": 1791074972,
"author": "cooking_recipescr",
"source": "TikTok",
"domain": "tiktok.com",
"snippet": "#recipes #EasyRecipe #cooking #DinnerIdeas",
"region": "US",
"play_count": 431691,
"likes": 5002,
"comments": 108,
"shares": 1638,
"downloads": 449,
"saves": 3558,
"duration": 1435,
"is_ad": false,
"is_pinned": false,
"author_name": "cooking_recipescr",
"author_id": "7352666564073833515",
"author_avatar": "https://p16-common-sign.tiktokcdn-eu.com/.../avatar.jpeg",
"author_url": "https://www.tiktok.com/@cooking_recipescr",
"cover": "https://p16-common-sign.tiktokcdn-eu.com/.../cover.jpeg",
"dynamic_cover": "https://p16-common-sign.tiktokcdn-eu.com/.../dynamic_cover.webp",
"origin_cover": "https://p16-common-sign.tiktokcdn-eu.com/.../origin_cover.jpeg",
"video_url": "https://v19.tiktokcdn-eu.com/.../video.mp4",
"video_url_watermarked": "https://v19.tiktokcdn-eu.com/.../video_wm.mp4",
"size": 10246341,
"size_watermarked": 9402354,
"images": [],
"music_id": "7692609536951110431",
"music_title": "original sound - cooking_recipescr",
"music_author": "cooking_recipescr",
"music_url": "https://sf16-music.tiktokcdn-eu.com/.../music.mp3",
"music_cover": "https://p16-common-sign.tiktokcdn-eu.com/.../music_cover.jpeg",
"music_album": "",
"music_original": true,
"music_duration": 1420,
"mentioned_user_ids": []
}
],
"hashtag": "cooking",
"hashtag_id": "18973",
"pages": 2,
"count": 40
}